import request from '@/utils/request'

const path = {
  treeBaseInfo: '/api/home/treeBaseInfo',
  railWayOpen: '/api/railWay/updateRailWay',
  siteOpen: '/api/site/updateSite',
  fsuOpen: '/api/fsu/updateFsu',
  monitorEquipOpen: '/api/monitorEquip/updateMonitorEquip',
  leakyCableOpen: '/api/leakyCable/updateLeakyCable',
  updateFeeder: '/api/antennaFeeder/updateFeeder',

  getYear: '/api/sysStandingWaveRatio/getYear',
  getMonth: '/api/sysStandingWaveRatio/getMonth',
}

export function treeBaseInfo() {
  return request.post(path.treeBaseInfo, ...arguments);
}
export function railWayOpen() {
  return request.post(path.railWayOpen, ...arguments);
} 
export function siteOpen() {
  return request.post(path.siteOpen, ...arguments);
} 
export function fsuOpen() {
  return request.post(path.fsuOpen, ...arguments);
} 
export function monitorEquipOpen() {
  return request.post(path.monitorEquipOpen, ...arguments);
}
export function leakyCableOpen() {
  return request.post(path.leakyCableOpen, ...arguments);
}
export function updateFeeder() {
  return request.post(path.updateFeeder, ...arguments);
}

export function getYear() {
  return request.post(path.getYear, ...arguments);
}
export function getMonth() {
  return request.post(path.getMonth, ...arguments);
}
